<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/InventoryNew/Areas/LeftArea.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d74/_left_area_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">LeftArea.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d74/_left_area_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/da4/class_left_area.html">LeftArea</a>: <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">    3</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                    <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">m_UpIcon</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                    <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">m_DownIcon</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                    <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">m_ContentParent</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">    6</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../dc/d12/class_vicinity_container.html">VicinityContainer</a>     <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">    7</a></span>    <span class="keyword">protected</span> ScrollWidget              <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">m_ScrollWidget</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#aed0bc1430d27220185222cdc493eaa8c">    8</a></span>    <span class="keyword">protected</span> ref SizeToChild           <a class="code hl_variable" href="../../d5/da4/class_left_area.html#aed0bc1430d27220185222cdc493eaa8c">m_ContentResize</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                      <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">m_ShouldChangeSize</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                      <a class="code hl_variable" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">m_IsProcessing</a> = <span class="keyword">false</span>; <span class="comment">// Prevents refreshing every time a child is added while it is still processing</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a8c4282657bbfa9d9df32584e1ee1f8a0">   12</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a8c4282657bbfa9d9df32584e1ee1f8a0">LeftArea</a>(<a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent )</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_MainWidget.Show(<span class="keyword">true</span>, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">m_ContentParent</a> = m_MainWidget.FindAnyWidget(<span class="stringliteral">&quot;ContentParent&quot;</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">m_ContentParent</a>.GetScript(<a class="code hl_variable" href="../../d5/da4/class_left_area.html#aed0bc1430d27220185222cdc493eaa8c">m_ContentResize</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">m_ScrollWidget</a>  = ScrollWidget.Cast(m_MainWidget.FindAnyWidget(<span class="stringliteral">&quot;Scroller&quot;</span>));</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_MainWidget    = m_MainWidget.FindAnyWidget(<span class="stringliteral">&quot;Content&quot;</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">m_UpIcon</a>        = <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>.FindAnyWidget(<span class="stringliteral">&quot;Up&quot;</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">m_DownIcon</a>      = <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>.FindAnyWidget(<span class="stringliteral">&quot;Down&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/d12/class_vicinity_container.html">VicinityContainer</a>(<span class="keyword">this</span>, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_Body.Insert(<a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_ActiveIndex = 0;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#af986a642d47d4ae4c32ff7f3a61f8b14">RegisterOnChildAdd</a>(m_MainWidget, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnChildAdd&quot;</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad22337aeadaaeffb5fa75d3fe5be9e63">RegisterOnChildRemove</a>(m_MainWidget, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnChildRemove&quot;</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        RecomputeOpenedContainers();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#ae0efe1408b50bcde367112ba700efdea">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#ae0efe1408b50bcde367112ba700efdea">UnfocusGrid</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a> active_container;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_OpenedContainers.Count(); i++ )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            active_container = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( m_OpenedContainers.Get( i ) );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            active_container.UnfocusGrid();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a5fc1814c911c0195bab321ddbad6b1c0">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a5fc1814c911c0195bab321ddbad6b1c0">IsActive</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span>( m_OpenedContainers.Count() &lt;= m_ActiveIndex )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            m_ActiveIndex = 0;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a> active_container = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( m_OpenedContainers.Get( m_ActiveIndex ) );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> active_container.IsActive( );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a52b141db4aeb535ff4913e7e27f32df7">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a52b141db4aeb535ff4913e7e27f32df7">SetActive</a>( <span class="keywordtype">bool</span> active )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        super.SetActive( active );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d5/da4/class_left_area.html#a99a4a383abb197346e40f1b23622cb15">UpdateSelectionIcons</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a901e135ad7b751a088d7f6009d008469">   61</a></span>    <span class="keyword">override</span> ScrollWidget <a class="code hl_function" href="../../d5/da4/class_left_area.html#a901e135ad7b751a088d7f6009d008469">GetScrollWidget</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">m_ScrollWidget</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a99a4a383abb197346e40f1b23622cb15">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a99a4a383abb197346e40f1b23622cb15">UpdateSelectionIcons</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        ScrollToActiveContainer();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">m_UpIcon</a>.Show( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">m_DownIcon</a>.Show( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">m_UpIcon</a>.GetScreenSize( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordtype">float</span> top_y     = <a class="code hl_function" href="../../d5/da4/class_left_area.html#a6b4c58bef9292314106993308542fed5">GetCurrentContainerTopY</a>();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">m_UpIcon</a>.SetPos( 0, <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>( top_y, 0, 99999 ) );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">            #ifndef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordtype">float</span> x2, y2;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">m_DownIcon</a>.GetScreenSize( x2, y2 );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordtype">float</span> bottom_y  = <a class="code hl_function" href="../../d5/da4/class_left_area.html#a99f7faccbafd7e8efd2e32e27ba19059">GetCurrentContainerBottomY</a>() - y2;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordtype">float</span> diff      = bottom_y - ( top_y + <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">if</span>( diff &lt; 0 )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                top_y += diff / 2;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                bottom_y -= diff / 2;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">m_DownIcon</a>.SetPos( 0, bottom_y );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a6b4c58bef9292314106993308542fed5">   95</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a6b4c58bef9292314106993308542fed5">GetCurrentContainerTopY</a>()</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, cont_screen_pos;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        m_MainWidget.GetScreenPos( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> ( m_OpenedContainers.IsValidIndex( m_ActiveIndex ) )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            cont_screen_pos = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( m_OpenedContainers.Get( m_ActiveIndex ) ).<a class="code hl_function" href="../../d4/d8f/class_container.html#a9360f39302b916077bf461f3681e8716">GetFocusedContainerYScreenPos</a>();</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">return</span> cont_screen_pos - <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a99f7faccbafd7e8efd2e32e27ba19059">  105</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a99f7faccbafd7e8efd2e32e27ba19059">GetCurrentContainerBottomY</a>()</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, cont_screen_pos, cont_screen_height;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        m_MainWidget.GetScreenPos( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> ( m_OpenedContainers.IsValidIndex( m_ActiveIndex ) )</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            cont_screen_pos = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( m_OpenedContainers.Get( m_ActiveIndex ) ).<a class="code hl_function" href="../../d4/d8f/class_container.html#a9360f39302b916077bf461f3681e8716">GetFocusedContainerYScreenPos</a>();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            cont_screen_height = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( m_OpenedContainers.Get( m_ActiveIndex ) ).<a class="code hl_function" href="../../d4/d8f/class_container.html#a62ff9a38ad38308632676a47750042ee">GetFocusedContainerHeight</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> cont_screen_pos - <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> + cont_screen_height;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a0b10325559e6ed40dbf306d97902e070">  119</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a0b10325559e6ed40dbf306d97902e070">ExpandCollapseContainer</a>()</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a> c = GetFocusedContainer();        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> (c)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            c.ExpandCollapseContainer();</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <a class="code hl_function" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">Refresh</a>();</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a6f7dc9417ca21669949629b2e5b0b456">  130</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a6f7dc9417ca21669949629b2e5b0b456">OnLeftPanelDropReceived</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a>.<a class="code hl_function" href="../../dc/d12/class_vicinity_container.html#a5cab12560dce6e3e04b63f3a7bc59c2f">OnLeftPanelDropReceived</a>( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, receiver );</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#ae9d4d83dd31a9ecbda21564add059f77">  135</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#ae9d4d83dd31a9ecbda21564add059f77">DraggingOverHeader</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a>.<a class="code hl_function" href="../../dc/d12/class_vicinity_container.html#ac4e69f2b1e8d97784951a73cc70cd5a2">DraggingOverHeader</a>( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, receiver );</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a6db1059241678aa3525ed94149b1dd2c">  140</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a6db1059241678aa3525ed94149b1dd2c">SetLayoutName</a>()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#ae9496100fcb2e5298f74c2a1838f927f">LeftAreaXbox</a>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">switch</span> ( <a class="code hl_function" href="../../dc/dd0/_inventory_menu_8c.html#ad91f44597d803d249e1b96e7569f8199">InventoryMenu</a>.GetWidthType() )</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../dc/dd0/_inventory_menu_8c.html#a879ddd8a54b6ad307d11a1ccff69a26f">ScreenWidthType</a>.NARROW:</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                    m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#a62afcb092ae9d316a309e6087ef5b0b8">LeftAreaNarrow</a>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../dc/dd0/_inventory_menu_8c.html#a879ddd8a54b6ad307d11a1ccff69a26f">ScreenWidthType</a>.MEDIUM:</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                    m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#af7c8190ae63b961f93afc7a018f9ad5c">LeftAreaMedium</a>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../dc/dd0/_inventory_menu_8c.html#a879ddd8a54b6ad307d11a1ccff69a26f">ScreenWidthType</a>.WIDE:</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                    m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#a1e56fca6eb5cc339b58b8b2411a87eaa">LeftAreaWide</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a6b0c06f8672e9711bc1d63db9c347c91">  167</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a6b0c06f8672e9711bc1d63db9c347c91">GetFocusedItem</a>()</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item = GetFocusedContainer().GetFocusedItem();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">return</span> item;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#abcdd611e69471b3dbc47491ab82eed3b">  173</a></span>    <a class="code hl_class" href="../../dc/d12/class_vicinity_container.html">VicinityContainer</a> <a class="code hl_function" href="../../d5/da4/class_left_area.html#abcdd611e69471b3dbc47491ab82eed3b">GetVicinityContainer</a>()</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">m_VicinityContainer</a>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a3efaedf7a10347a19da6ddb049824870">  178</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a3efaedf7a10347a19da6ddb049824870">SetParentWidget</a>()</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        m_ParentWidget = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.GetMainWidget().FindAnyWidget( <span class="stringliteral">&quot;LeftPanel&quot;</span> );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#af7b29684ee2fbc1ff06c96508f43d85a">  183</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#af7b29684ee2fbc1ff06c96508f43d85a">OnShow</a>()</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        super.OnShow();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_function" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">Refresh</a>();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">  189</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">Refresh</a>()</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        super.Refresh();</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        m_MainWidget.Update();</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>.Update();</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">m_ScrollWidget</a>.Update();</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <a class="code hl_function" href="../../d5/da4/class_left_area.html#a99a4a383abb197346e40f1b23622cb15">UpdateSelectionIcons</a>();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">m_ShouldChangeSize</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a0d93b0c0f2da2ff8b7ead13059701e29">  201</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a0d93b0c0f2da2ff8b7ead13059701e29">UpdateInterval</a>()</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">m_IsProcessing</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        super.UpdateInterval();</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">m_IsProcessing</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordtype">float</span> x2, y2;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">m_ContentParent</a>.GetScreenSize( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        m_MainWidget.GetScreenSize( x2, y2 );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">if</span> ( y2 != <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">m_ShouldChangeSize</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keywordtype">bool</span> changed_size;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="comment">//if ( m_ShouldChangeSize )</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#aed0bc1430d27220185222cdc493eaa8c">m_ContentResize</a>.ResizeParentToChild( changed_size );</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">if</span> ( changed_size || <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">m_ShouldChangeSize</a> )</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>            m_MainWidget.Update();</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>.Update();</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">m_ScrollWidget</a>.Update();</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <a class="code hl_variable" href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">m_ShouldChangeSize</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        CheckScrollbarVisibility();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#acb63d0b5d18412a968c34a3b695a2368">  226</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#acb63d0b5d18412a968c34a3b695a2368">OnChildRemove</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child )</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">m_IsProcessing</a>)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            <a class="code hl_function" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">Refresh</a>();</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d5/da4/class_left_area.html#a11c336fa0ad0f5e06c03b1dc0c73c4fd">  233</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/da4/class_left_area.html#a11c336fa0ad0f5e06c03b1dc0c73c4fd">OnChildAdd</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child )</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">m_IsProcessing</a>)</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            <a class="code hl_function" href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">Refresh</a>();</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_inventory_menu_8c_html_a879ddd8a54b6ad307d11a1ccff69a26f"><div class="ttname"><a href="../../dc/dd0/_inventory_menu_8c.html#a879ddd8a54b6ad307d11a1ccff69a26f">ScreenWidthType</a></div><div class="ttdeci">ScreenWidthType</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_inventory_menu_8c_source.html#l00001">InventoryMenu.c:2</a></div></div>
<div class="ttc" id="a_inventory_menu_8c_html_ad91f44597d803d249e1b96e7569f8199"><div class="ttname"><a href="../../dc/dd0/_inventory_menu_8c.html#ad91f44597d803d249e1b96e7569f8199">InventoryMenu</a></div><div class="ttdeci">void InventoryMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_inventory_menu_8c_source.html#l00020">InventoryMenu.c:20</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a9a3d3c40e1c50b7a9d14cb880b784df2"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a></div><div class="ttdeci">bool m_IsActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00020">ModifierBase.c:20</a></div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_a8ba0557daf8b627a8c8f89783367a683"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a></div><div class="ttdeci">ref Widget m_RootWidget[MAX_SIMULTANIOUS_PLAYERS]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00014">PluginRemotePlayerDebugClient.c:14</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="aclass_container_html"><div class="ttname"><a href="../../d4/d8f/class_container.html">Container</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dec/_cargo_container_8c_source.html#l00002">CargoContainer.c:3</a></div></div>
<div class="ttc" id="aclass_container_html_a62ff9a38ad38308632676a47750042ee"><div class="ttname"><a href="../../d4/d8f/class_container.html#a62ff9a38ad38308632676a47750042ee">Container::GetFocusedContainerHeight</a></div><div class="ttdeci">override float GetFocusedContainerHeight(bool contents=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dec/_cargo_container_8c_source.html#l00427">CargoContainer.c:427</a></div></div>
<div class="ttc" id="aclass_container_html_a9360f39302b916077bf461f3681e8716"><div class="ttname"><a href="../../d4/d8f/class_container.html#a9360f39302b916077bf461f3681e8716">Container::GetFocusedContainerYScreenPos</a></div><div class="ttdeci">override float GetFocusedContainerYScreenPos(bool contents=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dec/_cargo_container_8c_source.html#l00447">CargoContainer.c:447</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_layout_holder_html"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html">LayoutHolder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00001">Container.c:2</a></div></div>
<div class="ttc" id="aclass_left_area_html"><div class="ttname"><a href="../../d5/da4/class_left_area.html">LeftArea</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00001">LeftArea.c:2</a></div></div>
<div class="ttc" id="aclass_left_area_html_a0b10325559e6ed40dbf306d97902e070"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a0b10325559e6ed40dbf306d97902e070">LeftArea::ExpandCollapseContainer</a></div><div class="ttdeci">override void ExpandCollapseContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00119">LeftArea.c:119</a></div></div>
<div class="ttc" id="aclass_left_area_html_a0b487781909929aad307e768120b30aa"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a0b487781909929aad307e768120b30aa">LeftArea::m_ContentParent</a></div><div class="ttdeci">protected Widget m_ContentParent</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00005">LeftArea.c:5</a></div></div>
<div class="ttc" id="aclass_left_area_html_a0d93b0c0f2da2ff8b7ead13059701e29"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a0d93b0c0f2da2ff8b7ead13059701e29">LeftArea::UpdateInterval</a></div><div class="ttdeci">override void UpdateInterval()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00201">LeftArea.c:201</a></div></div>
<div class="ttc" id="aclass_left_area_html_a0f5a2cea9931643cec492ac541e72ead"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a0f5a2cea9931643cec492ac541e72ead">LeftArea::m_VicinityContainer</a></div><div class="ttdeci">protected ref VicinityContainer m_VicinityContainer</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00006">LeftArea.c:6</a></div></div>
<div class="ttc" id="aclass_left_area_html_a11c336fa0ad0f5e06c03b1dc0c73c4fd"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a11c336fa0ad0f5e06c03b1dc0c73c4fd">LeftArea::OnChildAdd</a></div><div class="ttdeci">override bool OnChildAdd(Widget w, Widget child)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00233">LeftArea.c:233</a></div></div>
<div class="ttc" id="aclass_left_area_html_a2162347f2c6e4df9792d9f9a6789df8b"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a2162347f2c6e4df9792d9f9a6789df8b">LeftArea::m_UpIcon</a></div><div class="ttdeci">protected Widget m_UpIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00003">LeftArea.c:3</a></div></div>
<div class="ttc" id="aclass_left_area_html_a3efaedf7a10347a19da6ddb049824870"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a3efaedf7a10347a19da6ddb049824870">LeftArea::SetParentWidget</a></div><div class="ttdeci">override void SetParentWidget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00178">LeftArea.c:178</a></div></div>
<div class="ttc" id="aclass_left_area_html_a48ef20855a2c2c4046a6829cb4433626"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a48ef20855a2c2c4046a6829cb4433626">LeftArea::m_ScrollWidget</a></div><div class="ttdeci">protected ScrollWidget m_ScrollWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00007">LeftArea.c:7</a></div></div>
<div class="ttc" id="aclass_left_area_html_a52b141db4aeb535ff4913e7e27f32df7"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a52b141db4aeb535ff4913e7e27f32df7">LeftArea::SetActive</a></div><div class="ttdeci">override void SetActive(bool active)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00054">LeftArea.c:54</a></div></div>
<div class="ttc" id="aclass_left_area_html_a5d438ed83ca4502fb704329425a5fe7e"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a5d438ed83ca4502fb704329425a5fe7e">LeftArea::m_DownIcon</a></div><div class="ttdeci">protected Widget m_DownIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00004">LeftArea.c:4</a></div></div>
<div class="ttc" id="aclass_left_area_html_a5fc1814c911c0195bab321ddbad6b1c0"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a5fc1814c911c0195bab321ddbad6b1c0">LeftArea::IsActive</a></div><div class="ttdeci">override bool IsActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00044">LeftArea.c:44</a></div></div>
<div class="ttc" id="aclass_left_area_html_a6b0c06f8672e9711bc1d63db9c347c91"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a6b0c06f8672e9711bc1d63db9c347c91">LeftArea::GetFocusedItem</a></div><div class="ttdeci">override EntityAI GetFocusedItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00167">LeftArea.c:167</a></div></div>
<div class="ttc" id="aclass_left_area_html_a6b4c58bef9292314106993308542fed5"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a6b4c58bef9292314106993308542fed5">LeftArea::GetCurrentContainerTopY</a></div><div class="ttdeci">float GetCurrentContainerTopY()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00095">LeftArea.c:95</a></div></div>
<div class="ttc" id="aclass_left_area_html_a6db1059241678aa3525ed94149b1dd2c"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a6db1059241678aa3525ed94149b1dd2c">LeftArea::SetLayoutName</a></div><div class="ttdeci">override void SetLayoutName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00140">LeftArea.c:140</a></div></div>
<div class="ttc" id="aclass_left_area_html_a6f7dc9417ca21669949629b2e5b0b456"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a6f7dc9417ca21669949629b2e5b0b456">LeftArea::OnLeftPanelDropReceived</a></div><div class="ttdeci">void OnLeftPanelDropReceived(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00130">LeftArea.c:130</a></div></div>
<div class="ttc" id="aclass_left_area_html_a8554ef55a314bdf60d4eafccebd24870"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a8554ef55a314bdf60d4eafccebd24870">LeftArea::m_ShouldChangeSize</a></div><div class="ttdeci">protected bool m_ShouldChangeSize</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00009">LeftArea.c:9</a></div></div>
<div class="ttc" id="aclass_left_area_html_a8c4282657bbfa9d9df32584e1ee1f8a0"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a8c4282657bbfa9d9df32584e1ee1f8a0">LeftArea::LeftArea</a></div><div class="ttdeci">void LeftArea(LayoutHolder parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00012">LeftArea.c:12</a></div></div>
<div class="ttc" id="aclass_left_area_html_a901e135ad7b751a088d7f6009d008469"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a901e135ad7b751a088d7f6009d008469">LeftArea::GetScrollWidget</a></div><div class="ttdeci">override ScrollWidget GetScrollWidget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00061">LeftArea.c:61</a></div></div>
<div class="ttc" id="aclass_left_area_html_a99a4a383abb197346e40f1b23622cb15"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a99a4a383abb197346e40f1b23622cb15">LeftArea::UpdateSelectionIcons</a></div><div class="ttdeci">override void UpdateSelectionIcons()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00066">LeftArea.c:66</a></div></div>
<div class="ttc" id="aclass_left_area_html_a99f7faccbafd7e8efd2e32e27ba19059"><div class="ttname"><a href="../../d5/da4/class_left_area.html#a99f7faccbafd7e8efd2e32e27ba19059">LeftArea::GetCurrentContainerBottomY</a></div><div class="ttdeci">float GetCurrentContainerBottomY()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00105">LeftArea.c:105</a></div></div>
<div class="ttc" id="aclass_left_area_html_ab4023be8ece4fbd775261f042219ae26"><div class="ttname"><a href="../../d5/da4/class_left_area.html#ab4023be8ece4fbd775261f042219ae26">LeftArea::Refresh</a></div><div class="ttdeci">override void Refresh()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00189">LeftArea.c:189</a></div></div>
<div class="ttc" id="aclass_left_area_html_abcdd611e69471b3dbc47491ab82eed3b"><div class="ttname"><a href="../../d5/da4/class_left_area.html#abcdd611e69471b3dbc47491ab82eed3b">LeftArea::GetVicinityContainer</a></div><div class="ttdeci">VicinityContainer GetVicinityContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00173">LeftArea.c:173</a></div></div>
<div class="ttc" id="aclass_left_area_html_acb63d0b5d18412a968c34a3b695a2368"><div class="ttname"><a href="../../d5/da4/class_left_area.html#acb63d0b5d18412a968c34a3b695a2368">LeftArea::OnChildRemove</a></div><div class="ttdeci">override bool OnChildRemove(Widget w, Widget child)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00226">LeftArea.c:226</a></div></div>
<div class="ttc" id="aclass_left_area_html_ae0efe1408b50bcde367112ba700efdea"><div class="ttname"><a href="../../d5/da4/class_left_area.html#ae0efe1408b50bcde367112ba700efdea">LeftArea::UnfocusGrid</a></div><div class="ttdeci">override void UnfocusGrid()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00034">LeftArea.c:34</a></div></div>
<div class="ttc" id="aclass_left_area_html_ae9d4d83dd31a9ecbda21564add059f77"><div class="ttname"><a href="../../d5/da4/class_left_area.html#ae9d4d83dd31a9ecbda21564add059f77">LeftArea::DraggingOverHeader</a></div><div class="ttdeci">override void DraggingOverHeader(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00135">LeftArea.c:135</a></div></div>
<div class="ttc" id="aclass_left_area_html_aec20e5abeaef43ff0d1f83cc815e390c"><div class="ttname"><a href="../../d5/da4/class_left_area.html#aec20e5abeaef43ff0d1f83cc815e390c">LeftArea::m_IsProcessing</a></div><div class="ttdeci">protected bool m_IsProcessing</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00010">LeftArea.c:10</a></div></div>
<div class="ttc" id="aclass_left_area_html_aed0bc1430d27220185222cdc493eaa8c"><div class="ttname"><a href="../../d5/da4/class_left_area.html#aed0bc1430d27220185222cdc493eaa8c">LeftArea::m_ContentResize</a></div><div class="ttdeci">protected ref SizeToChild m_ContentResize</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00008">LeftArea.c:8</a></div></div>
<div class="ttc" id="aclass_left_area_html_af7b29684ee2fbc1ff06c96508f43d85a"><div class="ttname"><a href="../../d5/da4/class_left_area.html#af7b29684ee2fbc1ff06c96508f43d85a">LeftArea::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_left_area_8c_source.html#l00183">LeftArea.c:183</a></div></div>
<div class="ttc" id="aclass_vicinity_container_html"><div class="ttname"><a href="../../dc/d12/class_vicinity_container.html">VicinityContainer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d76/_vicinity_container_8c_source.html#l00001">VicinityContainer.c:2</a></div></div>
<div class="ttc" id="aclass_vicinity_container_html_a5cab12560dce6e3e04b63f3a7bc59c2f"><div class="ttname"><a href="../../dc/d12/class_vicinity_container.html#a5cab12560dce6e3e04b63f3a7bc59c2f">VicinityContainer::OnLeftPanelDropReceived</a></div><div class="ttdeci">void OnLeftPanelDropReceived(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d76/_vicinity_container_8c_source.html#l00247">VicinityContainer.c:247</a></div></div>
<div class="ttc" id="aclass_vicinity_container_html_ac4e69f2b1e8d97784951a73cc70cd5a2"><div class="ttname"><a href="../../dc/d12/class_vicinity_container.html#ac4e69f2b1e8d97784951a73cc70cd5a2">VicinityContainer::DraggingOverHeader</a></div><div class="ttdeci">override void DraggingOverHeader(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d76/_vicinity_container_8c_source.html#l00087">VicinityContainer.c:87</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00001">WidgetEventHandler.c:2</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ad22337aeadaaeffb5fa75d3fe5be9e63"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ad22337aeadaaeffb5fa75d3fe5be9e63">WidgetEventHandler::RegisterOnChildRemove</a></div><div class="ttdeci">void RegisterOnChildRemove(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00167">WidgetEventHandler.c:167</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ad2fdf38578ef5954a19cb7c97ee4f89b"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">WidgetEventHandler::GetInstance</a></div><div class="ttdeci">static WidgetEventHandler GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00022">WidgetEventHandler.c:22</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_af986a642d47d4ae4c32ff7f3a61f8b14"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#af986a642d47d4ae4c32ff7f3a61f8b14">WidgetEventHandler::RegisterOnChildAdd</a></div><div class="ttdeci">void RegisterOnChildAdd(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00160">WidgetEventHandler.c:160</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00001">WidgetLayoutName.c:2</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_a1e56fca6eb5cc339b58b8b2411a87eaa"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#a1e56fca6eb5cc339b58b8b2411a87eaa">WidgetLayoutName::LeftAreaWide</a></div><div class="ttdeci">const string LeftAreaWide</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00035">WidgetLayoutName.c:35</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_a62afcb092ae9d316a309e6087ef5b0b8"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#a62afcb092ae9d316a309e6087ef5b0b8">WidgetLayoutName::LeftAreaNarrow</a></div><div class="ttdeci">const string LeftAreaNarrow</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00033">WidgetLayoutName.c:33</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_ae9496100fcb2e5298f74c2a1838f927f"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#ae9496100fcb2e5298f74c2a1838f927f">WidgetLayoutName::LeftAreaXbox</a></div><div class="ttdeci">const string LeftAreaXbox</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00036">WidgetLayoutName.c:36</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_af7c8190ae63b961f93afc7a018f9ad5c"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#af7c8190ae63b961f93afc7a018f9ad5c">WidgetLayoutName::LeftAreaMedium</a></div><div class="ttdeci">const string LeftAreaMedium</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00034">WidgetLayoutName.c:34</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_192fe6bd0d85bc453ff02fd806ec1ca0.html">InventoryNew</a></li><li class="navelem"><a class="el" href="../../dir_7d1a49cc138ec65a3d3845dfd0d7eeb6.html">Areas</a></li><li class="navelem"><a class="el" href="../../d9/d74/_left_area_8c.html">LeftArea.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
